import type { ColorMatchers, CSSPropertiesValue } from '../../type';
declare function getColorMatchers(): ColorMatchers;
declare const breakDownValueIntoUnitNumberAndFunctions: (value: CSSPropertiesValue) => ({
    color: string;
    function?: undefined;
    number?: undefined;
    unit?: undefined;
} | {
    function: {
        name: string;
        values: ({
            number: number;
            unit: string;
        } | {
            number: number;
            unit?: undefined;
        } | {
            unit: string;
            number?: undefined;
        })[];
    };
    color?: undefined;
    number?: undefined;
    unit?: undefined;
} | {
    number: number;
    unit: string;
    color?: undefined;
    function?: undefined;
} | {
    number: number;
    color?: undefined;
    function?: undefined;
    unit?: undefined;
} | {
    unit: string;
    color?: undefined;
    function?: undefined;
    number?: undefined;
})[];
export { breakDownValueIntoUnitNumberAndFunctions, getColorMatchers };
