"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.translateZ = exports.translateY = exports.translateX = exports.translate3d = exports.translate = exports.skewY = exports.skewX = exports.skew = exports.scaleZ = exports.scaleY = exports.scaleX = exports.scale3d = exports.scale = exports.rotateZ = exports.rotateY = exports.rotateX = exports.rotate3d = exports.rotate = exports.perspective = exports.matrix3d = exports.matrix = exports.makeTransform = void 0;
const transform_functions_1 = require("./transform-functions");
Object.defineProperty(exports, "matrix", { enumerable: true, get: function () { return transform_functions_1.matrix; } });
Object.defineProperty(exports, "matrix3d", { enumerable: true, get: function () { return transform_functions_1.matrix3d; } });
Object.defineProperty(exports, "perspective", { enumerable: true, get: function () { return transform_functions_1.perspective; } });
Object.defineProperty(exports, "rotate", { enumerable: true, get: function () { return transform_functions_1.rotate; } });
Object.defineProperty(exports, "rotate3d", { enumerable: true, get: function () { return transform_functions_1.rotate3d; } });
Object.defineProperty(exports, "rotateX", { enumerable: true, get: function () { return transform_functions_1.rotateX; } });
Object.defineProperty(exports, "rotateY", { enumerable: true, get: function () { return transform_functions_1.rotateY; } });
Object.defineProperty(exports, "rotateZ", { enumerable: true, get: function () { return transform_functions_1.rotateZ; } });
Object.defineProperty(exports, "scale", { enumerable: true, get: function () { return transform_functions_1.scale; } });
Object.defineProperty(exports, "scale3d", { enumerable: true, get: function () { return transform_functions_1.scale3d; } });
Object.defineProperty(exports, "scaleX", { enumerable: true, get: function () { return transform_functions_1.scaleX; } });
Object.defineProperty(exports, "scaleY", { enumerable: true, get: function () { return transform_functions_1.scaleY; } });
Object.defineProperty(exports, "scaleZ", { enumerable: true, get: function () { return transform_functions_1.scaleZ; } });
Object.defineProperty(exports, "skew", { enumerable: true, get: function () { return transform_functions_1.skew; } });
Object.defineProperty(exports, "skewX", { enumerable: true, get: function () { return transform_functions_1.skewX; } });
Object.defineProperty(exports, "skewY", { enumerable: true, get: function () { return transform_functions_1.skewY; } });
Object.defineProperty(exports, "translate", { enumerable: true, get: function () { return transform_functions_1.translate; } });
Object.defineProperty(exports, "translate3d", { enumerable: true, get: function () { return transform_functions_1.translate3d; } });
Object.defineProperty(exports, "translateX", { enumerable: true, get: function () { return transform_functions_1.translateX; } });
Object.defineProperty(exports, "translateY", { enumerable: true, get: function () { return transform_functions_1.translateY; } });
Object.defineProperty(exports, "translateZ", { enumerable: true, get: function () { return transform_functions_1.translateZ; } });
const makeTransform = (transforms) => {
    return transforms.join(' ');
};
exports.makeTransform = makeTransform;
